Package com.orchestranetworks.ui.form

# Interface UIFormBottomBar

public interface UIFormBottomBar
The bottom bar of a form can be composed of four buttons:

- Close
- Revert
- Save
- Save & Close

Any button can be removed and/or have a custom label.

By default, not all buttons may be present, due to permissions. For example, if the default form contains only read-only fields, the buttons Revert, Save and Save & Close will not appear, only the button Close will be present.

Note: As of version 5.4.0, the button previously labeled Submit is labeled Save. Similarly, the button previously Submit & Close is now Save & Close. Although the labels have changed, the method names remain the same.

Since:
  5.3.0
See Also:
  - `UIForm.defineBottomBar(UIFormBottomBar, UIFormContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAllButtonsNotDisplayable()`
  Sets `false` to all buttons displayable flag.
  `void`
  `setCloseButtonDisplayable(boolean isDisplayable)`
  `void`
  `setCloseButtonLabel(UserMessage aButtonLabel)`
  Sets a custom label for the Close button.
  `void`
  `setRevertButtonDisplayable(boolean isDisplayable)`
  `void`
  `setRevertButtonLabel(UserMessage aButtonLabel)`
  Sets a custom label for the Revert button.
  `void`
  `setSubmitAndCloseButtonDisplayable(boolean isDisplayable)`
  `void`
  `setSubmitAndCloseButtonLabel(UserMessage aButtonLabel)`
  Sets a custom label for the Save & Close button (previously called "Submit & Close").
  `void`
  `setSubmitButtonDisplayable(boolean isDisplayable)`
  `void`
  `setSubmitButtonLabel(UserMessage aButtonLabel)`
  Sets a custom label for the Save button (previously called "Submit").

- ## Method Details

  - ### setAllButtonsNotDisplayable

    void setAllButtonsNotDisplayable()
    Sets `false` to all buttons displayable flag. The entire bottom bar will not be displayed.

  - ### setCloseButtonDisplayable

    void setCloseButtonDisplayable(boolean isDisplayable)
    Parameters:
      `isDisplayable` - If `false`, the close button will not be displayed. If `true`, the close button will be displayed if the form container decides to do so.

  - ### setCloseButtonLabel

    void setCloseButtonLabel(UserMessage aButtonLabel)
    Sets a custom label for the Close button.
    Parameters:
      `aButtonLabel` - the custom label to set for the Close button.

  - ### setRevertButtonDisplayable

    void setRevertButtonDisplayable(boolean isDisplayable)
    Parameters:
      `isDisplayable` - If `false`, the revert button will not be displayed. If `true`, the revert button will be displayed if the form container decides to do so.

  - ### setRevertButtonLabel

    void setRevertButtonLabel(UserMessage aButtonLabel)
    Sets a custom label for the Revert button.
    Parameters:
      `aButtonLabel` - the custom label to set for the Revert button.

  - ### setSubmitAndCloseButtonDisplayable

    void setSubmitAndCloseButtonDisplayable(boolean isDisplayable)
    Parameters:
      `isDisplayable` - If `false`, the save and close button will not be displayed. If `true`, the save and close button will be displayed if the form container decides to do so.

  - ### setSubmitAndCloseButtonLabel

    void setSubmitAndCloseButtonLabel(UserMessage aButtonLabel)
    Sets a custom label for the Save & Close button (previously called "Submit & Close").
    Parameters:
      `aButtonLabel` - the custom label to set for the Save & Close button.

  - ### setSubmitButtonDisplayable

    void setSubmitButtonDisplayable(boolean isDisplayable)
    Parameters:
      `isDisplayable` - If `false`, the save button will not be displayed. If `true`, the save button will be displayed if the form container decides to do so.

  - ### setSubmitButtonLabel

    void setSubmitButtonLabel(UserMessage aButtonLabel)
    Sets a custom label for the Save button (previously called "Submit").
    Parameters:
      `aButtonLabel` - the custom label to set for the Save button.